#region CopyRight Information
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//--------------------------------------------------------------------------------------------------------------
// Institute     : Washington University In Saint Louis [Computer Science Department] [CSE571 Network Security]
// Project       : Net Vigilant Network Monitor
// Group Members : Subharthi Paul , Madhuri Kulkarni
// FileName      : frmPing.cs
// Author        : Madhuri Kulkarni
// Created       : 24th Nov 2007
// Modified By   : Madhuri Kulkarni
// Modified On   : 26th Nov 2007
//--------------------------------------------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endregion

#region References
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net.NetworkInformation;
using System.Net;
#endregion

namespace prjNetVigilant
{
    public partial class frmPing : Form
    {
        #region Constructors
        public frmPing()
        {
            InitializeComponent();
        }
        public frmPing(DataSet ds , bool Protocol)
        {
            InitializeComponent();

           if(Protocol)  
            this.Text = "TCP Statistics";
           else
            this.Text = "UDP Statistics";

            btnPing.Visible = false;
            cmbIpaddresses.Visible = false;
            richTextBox1.Visible = false;

            button2.Visible = true;
            dataGridView1.Visible = true;

            this.dataGridView1.DataSource = ds;
            this.dataGridView1.DataMember = ds.Tables[0].TableName ;  
            this.dataGridView1.Update();


           
           
        }
        #endregion

        #region Events
        private void frmPing_Load(object sender, EventArgs e)
        {
            // Get host name
            String strHostName = Dns.GetHostName();
            //Console.WriteLine("Host Name: " + strHostName);

            // Find host by name
            IPHostEntry iphostentry = Dns.GetHostByName(strHostName);

            // Enumerate IP addresses
            int nIP = 0;
            foreach (IPAddress ipaddress in iphostentry.AddressList)
            {
                //Console.WriteLine("IP #" + ++nIP + ": " +
                //                  ipaddress.ToString());
                cmbIpaddresses.Items.Add(ipaddress.ToString());    
            }

        }
       
        private void btnPing_Click(object sender, EventArgs e)
        {
            Ping pingSender = new Ping();
            PingOptions options = new PingOptions();

            // Use the default Ttl value which is 128,
            // but change the fragmentation behavior.
            options.DontFragment = true;

            // Create a buffer of 32 bytes of data to be transmitted.
            string data = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
            byte[] buffer = Encoding.ASCII.GetBytes(data);
            int timeout = 120;
            PingReply reply = pingSender.Send(IPAddress.Parse(cmbIpaddresses.Text) , timeout, buffer, options);
            if (reply.Status == IPStatus.Success)
            {
                richTextBox1.Text = "Ping to Address : " + reply.Address.ToString() + Environment.NewLine +
                                    "Status : " + reply.Status.ToString()   + Environment.NewLine +
                                    "RoundTrip time : " + reply.RoundtripTime + Environment.NewLine +
                                    "Time to live : " + reply.Options.Ttl + Environment.NewLine +
                                    "Don't fragment : " + reply.Options.DontFragment + Environment.NewLine +
                                    "Buffer size : " + reply.Buffer.Length;
            }
            else
            {
                richTextBox1.Text = "Ping to Address : " + cmbIpaddresses.Text  + Environment.NewLine  + reply.Status.ToString();   
            }


        }
               
        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }
        #endregion

    }
}